Actualizează un atribut în magazin
const url = 'https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/attributes/example';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"price_impact":1.5,"available":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/item/modify/stores/example/attributes/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "price_impact": 1.5, "available": true }'Authorizations
Secțiune intitulată „Authorizations”Parameters
Secțiune intitulată „Parameters”Path Parameters
Secțiune intitulată „Path Parameters”Request Bodyrequired
Secțiune intitulată „Request Bodyrequired”The payload for update
object
Prețul noului atribut în magazin. Dacă valoarea nu este prezentă sau este nulă, nu va fi actualizat.
Example
1.5Flag-ul indică dacă atributul este disponibil în magazin. Dacă valoarea nu este prezentă sau este null, nu va fi actualizat.
Example
trueResponses
Secțiune intitulată „Responses”Atribut actualizat cu succes
object
Unique identifier of the attribute within a store
Attribute name
Specifies if the attribute should be selected by default when customizing the product associated
Attribute price
Specifies if the product is available to be purchased
Example
{ "id": "side1", "name": "French fries", "selected_by_default": true, "price": "1.5", "available": true}Payload sau parametri invalizi
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesSpecifies if the attribute should be selected by default when customizing the product associated
Example
trueAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
trueNeautorizat
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesSpecifies if the attribute should be selected by default when customizing the product associated
Example
trueAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
trueEroare internă a serverului
object
Unique identifier of the attribute within a store
Example
side1Attribute name
Example
French friesSpecifies if the attribute should be selected by default when customizing the product associated
Example
trueAttribute price
Example
1.5Specifies if the product is available to be purchased
Example
true